<?php

//Start Theme Functions - Please refrain from editing this file.

$functions_path = TEMPLATEPATH . '/functions/';
$includes_path = TEMPLATEPATH . '/includes/';

//Internationalization
load_theme_textdomain("gpp_i18n", TEMPLATEPATH . '/lang');

// Add Post Thumbnail Theme Support
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 150, 150, true ); // 150x150 size
	add_image_size( '270x150', 270, 150, true ); // 270x150 image size
	add_image_size( '310x150', 310, 150, true ); // 310x150 image size
	add_image_size( '310x310', 310, 310, true ); // 310x310 image size
	add_image_size( '590x400', 590, 400, true ); // 590x400 image size
	add_image_size( '590', 590, 9999 ); // 590 image size
	add_image_size( '950', 950, 9999 ); // 950 image size
}

// Add Menu Theme Support
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'nav-menus' );
	add_action( 'init', 'register_gpp_menus' );

	function register_gpp_menus() {
		register_nav_menus(
			array(
				'main-menu' => __( 'Main Menu' )
			)
		);
	}
}


// Options panel variables and functions
require_once ($functions_path . 'admin-setup.php');

// Admin Interface
require_once ($functions_path . 'admin-interface.php');

// More Themes Page
require_once ($functions_path . 'admin-theme-page.php');

// Admin Custom
// require_once ($functions_path . 'admin-custom.php');

// More Themes Page
require_once ($functions_path . 'admin-theme-page.php');

// Videos Page
require_once ($functions_path . 'admin-videos-page.php');

// Update Alerts Page
require_once ($functions_path . 'admin-update-alerts.php');

// Options panel settings
require_once ($includes_path . 'theme-options.php');

// Load Post Images
require_once ($includes_path . 'images.php');

// Load PhotoShelter Meta
require_once ($includes_path . 'photoshelter-meta.php');

// Custom Comments
require_once ($includes_path . 'theme-comments.php'); 

// Load Javascript
require_once ($includes_path . 'theme-js.php');

// Load CSS
require_once ($includes_path . 'theme-css.php');

// Widgets
require_once ($includes_path . 'widgets.php');

add_action('wp_head', 'gppthemes_wp_head');
add_action('admin_menu', 'gppthemes_add_admin');
add_action('admin_head', 'gppthemes_admin_head');