<?php

// gppThemes Admin Interface

function gppthemes_add_admin() {
    global $query_string;
    $options =  get_option('gpp_template');      
    $themename =  get_option('gpp_themename');      
    $shortname =  get_option('gpp_shortname');    

    if ( $_REQUEST['page'] == 'gppthemes' ) {
  		if ( 'reset' == $_REQUEST['gpp_save'] ) {
            global $wpdb;
            $query = "DELETE FROM $wpdb->options WHERE option_name LIKE 'gpp\_%' AND option_name != 'gpp_user_roles'";
            $wpdb->query($query);
            header("Location: admin.php?page=gppthemes&reset=true");
            die;
        }
    }
	
    // Check all the Options, then if the no options are created for a ralitive sub-page... it's not created.
    if(function_exists(add_object_page)) {
        add_object_page ('Page Title', $themename, 8,'gppthemes', 'gppthemes_page', get_bloginfo('template_url'). '/functions/images/gpp-icon.png');
    } else {
        add_menu_page ('Page Title', $themename, 8,'gppthemes_home', 'gppthemes_page', get_bloginfo('template_url'). '/functions/images/gpp-icon.png'); 
    }
    add_submenu_page('gppthemes', $themename, 'Theme Options', 8, 'gppthemes','gppthemes_page'); // Default
    add_submenu_page('gppthemes', 'New Themes', 'New Themes', 8, 'gppthemes_themes', 'gppthemes_more_themes_page');
    add_submenu_page('gppthemes', 'Video Tutorials', 'Video Tutorials', 8, 'gppthemes-videos', 'gpp_videos_page'); 
    add_submenu_page('gppthemes', 'Update Alerts', 'Update Alerts', 8, 'gppthemes-updates', 'gpp_update_alerts_page');    
}

function gppthemes_page(){ 
    $options =  get_option('gpp_template');      
    $themename =  get_option('gpp_themename');      
    $shortname =  get_option('gpp_shortname');
    $instructionsurl = get_option('gpp_instructions');
    $manualurl =  get_option('gpp_manual');
    $videosurl =  get_option('gpp_videos');
    $supporturl =  get_option('gpp_support');      
    
    //Version in Backend Head
    $theme_data = get_theme_data(STYLESHEETPATH . '/style.css');
    $local_version = $theme_data['Version'];
    $update_message = '<span class="update">v.'. $local_version .'</span>';
?>
<a name="top"></a>		
<div class="wrap" id="gpp_options">
	<div class="happy hidden"><?php echo $themename; ?>'s Options updated!</div>
	<div class="warning hidden"><?php echo $themename; ?>'s Options reset!</div>
    <form id="adminform"  method="post"  action="" enctype="multipart/form-data">
        <h2><?php echo $themename; ?> Options <?php echo $update_message; ?></h2>
        <div class="info">
			<strong>Need help?</strong> See the <a href="<?php echo $instructionsurl; ?>" target="_blank">Instructions</a>, <a href="<?php echo $manualurl; ?>" target="_blank">F.A.Q.</a>, <a href="<?php echo $videosurl; ?>" target="blank">Video Tutorials</a> or <a href="<?php echo $supporturl; ?>" target="blank">Support Forum</a>
		</div>
	
		<div id="theme_options">		
			<div id="menublock">		
				<div id="menusub">   
					<?php  echo gppthemes_menublock($options,$page); //Menus called here ?>
				</div>	
			</div> 
			<div class="clear"></div>         
    	    <div id="optionblock">
    	    	<?php echo gppthemes_machine($options,$page);  //Options called here  ?>
			</div>
			<div style="clear:both;"></div>	
        	<?php // wp_nonce_field('reset_options'); echo "\n"; ?>
        	<p class="submit submit-footer">
        	    <input class="gppsave" name="save" type="submit" value="Save All Changes" />            
        	</p>
		</div><!-- end theme_options div -->
    </form>       
    <form action="<?php echo wp_specialchars($_SERVER['REQUEST_URI']); ?>" method="post">
        <p class="submit submit-footer submit-footer-reset">
        <input name="reset" type="submit" value="Reset Options" class="reset-button" onclick="return confirm('Click OK to reset. Any settings will be lost!');" />
        <input type="hidden" name="gpp_save" value="reset" />
        </p>
    </form>	
	<div style="clear:both;"></div> 
</div><!--wrap-->

<?php
}
function gppthemes_machine($options,$page) {
	$gpp = get_option( 'gpp_options' );        
    $counter = 0;
    foreach ($options as $value) {        
        if($page != $value['page']){
        $counter = 0; //Reset the Counter once a new page settings page is selected
        }
        elseif($page == $value['page']){
        	$counter++;
        	$val = '';
        	//Start Heading
        	if ( $value['type'] != "heading" ) {
        	    $output .= '<div class="option option-'. $value['type'] .'">'."\n".'<div class="option-inner">'."\n";
        	    $output .= '<label class="titledesc">'. $value['name'] .'</label>'."\n";
        	    $output .= '<div class="formcontainer">'."\n".'<div class="forminp">'."\n";
        	} 
        	//End Heading
        	$select_value = '';                                   
        	switch ( $value['type'] ) {
        		case 'text':				
        	    if (get_settings($value['id'] ) === FALSE) { $val = $value['std']; } else { $val = stripslashes(stripslashes(get_settings( $value['id'] ))); }            
            	$output .= '<input class="'.$value['pid'].' '.$value['app'].'" name="'. $value['id'] .'" id="'. $value['id'] .'" type="'. $value['type'] .'" value="'. $val .'" />';
       			break;
        
        		case 'select':				
            	$output .= '<select class="'.$value['pid'].'" name="'. $value['id'] .'" id="'. $value['id'] .'">';        
           		$select_value = get_settings( $value['id']);               
            	foreach ($value['options'] as $key => $option) {  
                	$selected = '';                
                    if($select_value != '') {
                        if ( $select_value == $key) { $selected = ' selected="selected"';} 
                   	} else {
                   		if ($value['std'] == $key) { $selected = ' selected="selected"'; }
                   	}                  
                	$output .= '<option value="'. $key .'" '. $selected .'>';
               		$output .= $option;
                	$output .= '</option>';
             	} 
             	$output .= '</select>';
				break;
            
       			case 'textarea':				
            	$ta_options = $value['options'];            	
            	if (get_settings( $value['id'] ) === FALSE ) {$ta_value = $value['std']; } else { $ta_value = stripslashes(stripslashes(get_settings($value['id']))); } 
            	$output .= '<textarea class="'.$value['pid'].'" name="'. $value['id'] .'" id="'. $value['id'] .'" cols="'. $ta_options['cols'] .'" rows="8">'.$ta_value.'</textarea>';            
        		break;
				
        		case "radio":				
            	$select_value = get_settings( $value['id']);                   
             	foreach ($value['options'] as $key => $option) {
					$checked = '';
                    if($select_value != '') {
                        if ( $select_value == $key) { $checked = ' checked'; } 
                   	} else {
                    	if ($value['std'] == $key) { $checked = ' checked'; }
                   	}
                	$output .= '<input class="'.$value['pid'].'" type="radio" name="'. $value['id'] .'" value="'. $key .'" '. $checked .' />' . $option .'<br />';
            
            	}             
        		break;
				
        		case "checkbox": 			
          		$std = $value['std'];          
           		$saved_std = get_settings($value['id']);           
           		$checked = '';	
           		
           		if(($saved_std === FALSE && $std == 'true')) {
           			$checked = 'checked="checked"';
           		}           				
            	elseif(isset($saved_std)) {
                	if($saved_std == 'true') {
                		$checked = 'checked="checked"';
                	} else {
                   		$checked = '';
                	}
          		} else {
               		$checked = '';
            	}
$output .= '<input class="checkbox '.$value['pid'].'" type="checkbox"  name="'.  $value['id'] .'" id="'. $value['id'] .'" value="true" '. $checked .' />';
        		break;
				
       			case "multicheck":        
            	$std =  $value['std'];
				$saved_std = get_settings($value['id']);
				if(isset($saved_std)) {						
					$std_values = explode(",", $saved_std);
				}				
            	foreach ($value['options'] as $key => $option) {                                             
            		$gpp_key = $value['id'] . '_' . $key;            	                  
            		if(isset($saved_std)) { 
                 		if(in_array($gpp_key,$std_values)){
							$checked = 'checked="checked"';								
						} else {
                      		$checked = '';     
                  		}    
           			} elseif( $std == $key) {
               			$checked = 'checked="checked"';
           			} else {
               			$checked = '';
					}            
            		$output .= '<input class="checkbox '.$value['pid'].' '. $value['id'].'" type="checkbox" name="'. $gpp_key .'" id="'. $gpp_key .'" value="true" '. $checked .' /><label for="'. $gpp_key .'">'. $option .'</label><br />';                                        
           		}
            	break;
        
       			case "upload":            
           		$output .= gppthemes_uploader_function($value['id'],$value['pid'],$value['std'],'options');
            	break;
        
       			case "heading":          
             	if($counter >= 2){
              		$output .= '</div>'."\n";
            	}           	
            	$output .= '<div class="option_content" id="'.str_replace(" ","_",$value['name']).'">'."\n";
			 	$output .= '<a class="anchor" name="'.str_replace(" ","_",$value['name']).'"></a><h3>'. $value['name'] .'</h3>'."\n";
        		break;
				
       			case "group":     
            	$output .= '<div class="gpp_group">'; 
            	$output .= '</div>'."\n";
            	$output .= '<div class="option_content">'."\n";
        		break;
				
       			case "groupEnd":
            	$output .= '</div>'."\n";
        		break;                               
       		} 
        
        	if ( is_array($value['type'])) {            
            	foreach($value['type'] as $array){            
               		$id =   $array['id']; 
                	$std =   $array['std'];
                	$saved_std = get_option($id);
                	if($saved_std != $std && !empty($saved_std) ){$std = $saved_std;} 
                	$meta =   $array['meta'];                    
                	if($array['type'] == 'text') { // Only text at this point                         
                	    $output .= '<input class="input-text-small" name="'. $id .'" id="'. $id .'" type="text" value="'. $std .'" />';  
                	    $output .= '<span class="meta-two">'.$meta.'</span>';
                	}
            	}
        	}
        
        	if ( $value['type'] != "heading" ) { 
            	if ( $value['type'] != "checkbox" ) { 
            		$output .= '<br/>';
          		}                
            	$output .= '</div><div class="desc">'. $value['desc'] .'</div></div>'."\n";
            	$output .= '</div></div><!--<div class="clear"></div>-->'."\n";        
            }
        }
    }
    
    $output .= '</div>';
    return $output;
    
}

// gppThemes Uploader
function gppthemes_uploader_function($id,$pid,$std){
$gpp = get_option( 'gpp_options' );	
    $uploader .= '<input id="attachement_'.$id.'" class="'.$pid.' upload_input" type="text" name="attachement_'.$id.'" value="'. $val .'">';
	$uploader .= '<input type="button" class="button upload_browse" id="'. $id .'_upload" value="Browse">';
    $uploader .= '<input name="save" type="button" value="Upload" class="button upload_save" />';
    $upload = get_settings($id);    
    $uploader .= '<div class="clear"></div>';  
    $uploader .= '<input class="upload-input-text" name="'.$id.'" value="'.$upload.'"/>';
    $uploader .= '<div class="clear"></div><div class="previewimg">';  
    if(!empty($upload)){
		$uploader .= '<img class="uploadedimg" id="image_'.$id.'" src="'.$upload.'"/>';
	}
	$uploader .= '</div>'; 
	return $uploader;
}

//Float Options
function gppthemes_menublock($options,$page) {
 	$output1 = '<ul class="menulist" id="'.str_replace(" ","_",$value['name']).'">';
	foreach ($options as $value) {
		if($value['type']=="heading"){          
            $output1 .= '<li><a href="#'.str_replace(" ","_",$value['name']).'">'. $value['name'] .'</a></li>'."\n";          	
		}		
	}
	$output1 .= '</ul>'."\n";
return $output1;
}

// Load Javascript
require_once ($functions_path . 'admin-js.php');

add_action('wp_ajax_my_special_action', 'my_action_callback'); 

function my_action_callback() {
	global $wpdb;	
	$themename = get_option('template') . "_";
	if(isset($_POST['type'])){
		//Picture upload
		if($_POST['type'] == 'upload'){		
			$browseid = $_POST['data']; // Acts as the name
			$filename = $_FILES[$browseid];
			$override['test_form'] = false;
			$override['action'] = 'wp_handle_upload';    
			$uploaded_file = wp_handle_upload($filename,$override);			 
					//$upload_tracking[] = $browseid;
					//update_option( $browseid , $uploaded_file['url'] );					
			 if(!empty($uploaded_file['error'])) {echo 'Upload Error: ' . $uploaded_file['error']; }	
			 else { echo $uploaded_file['url']; } // Is the Response 
		
		}
	}else{
	//Save settings in database
		$data = $_POST['settings'];		
		parse_str($data,$output);
		$options =  get_option('gpp_template');	
		foreach($options as $option_array){	
			if(isset($option_array['id'])) { 			
				$id = $option_array['id'];					
				//$old_value = get_option($id);
				$new_value = '';
				if($option_array['type'] == "multicheck"){
					$options = $option_array['options'];
					foreach ($options as $options_id => $options_value){					
						$multicheck_id = $id . "_" . $options_id;						
						if(isset($output[$multicheck_id])){							
							$new_value .= $multicheck_id.",";
						}
					}					
					//$gppoptions[$id] = $new_value;					
				} else {
					if(isset($output[$id])){
						$new_value = $output[$id];
					}								
				}
				$gppoptions[$id] = stripslashes($new_value);
				update_option($id, $new_value);
			}			
		} 		
		update_option( 'gpp_options', $gppoptions); 		
		echo "1";//success
		die();  
	}	
}