<?php

// THESE ARE THE DIFFERENT FIELDS
$options = array();   

$options[] = array(	"name" => "General Settings",
					"type" => "heading");

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");    
                                                                                     
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload");
					
$options[] = array(	"name" => "Sidebar",
					"desc" => "Check to show a sidebar on all posts and pages. If enabled, the main body well of your site will become 590 pixels wide, with a sidebar on the right measuring 310 pixels wide.  If disabled, the theme will be a two column 950 pixel wide design.",
			    	"id" => $shortname."_sidebar",
			    	"std" => "true",
			   		"type" => "checkbox");
                                               
$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "RSS URL",
					"desc" => "Enter your preferred RSS URL. (Feedburner or other)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text");
               
$options[] = array(	"name" => "Color Combination",
					"type" => "heading");
					                 
$options[] = array(	"name" => "Customize colors",
					"desc" => "If enabled the theme will use the layouts and colors you choose below.",
				    "id" => $shortname."_css",
		    		"std" => "false",
		    		"type" => "checkbox");
          
$options[] = array(	"name" => "Background color",
				    "id" => $shortname."_background_color",
					"desc" => "Your background color. Use Hex values and leave out the leading #.  ",
				    "std" => "111111",
				    "type" => "text");
				    
$options[] = array(	"name" => "Page color",
				    "id" => $shortname."_page_color",
					"desc" => "Your page color. Use Hex values and leave out the leading #.  ",
				    "std" => "ffffff",
				    "type" => "text");
				    
$options[] = array(	"name" => "Border color",
				    "id" => $shortname."_border_color",
					"desc" => "Your border and box color. Use Hex values and leave out the leading #.  ",
				    "std" => "cccccc",
				    "type" => "text");
				    
$options[] = array(	"name" => "Footer color",
				    "id" => $shortname."_footer_color",
					"desc" => "Your footer background color. Use Hex values and leave out the leading #.  ",
				    "std" => "000000",
				    "type" => "text");
    
$options[] = array(	"name" => "Site logo color",
				    "id" => $shortname."_logo_color",
					"desc" => "Your text logo color. Use Hex values and leave out the leading #.  ",
				    "std" => "000000",
				    "type" => "text");
    		
$options[] = array(	"name" => "Font color",
				    "id" => $shortname."_font_color",
					"desc" => "Your font color. Use Hex values and leave out the leading #.  ",
				    "std" => "222222",
				    "type" => "text");
				    
$options[] = array(	"name" => "Link color",
				    "id" => $shortname."_link_color",
					"desc" => "Your link color. Use Hex values and leave out the leading #.  ",
				    "std" => "428ce7",
				    "type" => "text");
    
$options[] = array(	"name" => "Link hover color",
				    "id" => $shortname."_hover_color",
					"desc" => "Your link hover color. Use Hex values and leave out the leading #.  ",
				    "std" => "666666",
				    "type" => "text");

$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");
                    
// Navigation Options
$options[] = array(	"name" => "Navigation Settings",
					"type" => "heading");

$options[] = array( "name" => "Categories",
					"desc" => "Rename the Categories title in your navigation (optional)",
					"id" => $shortname."_category_title",
					"std" => "",
					"type" => "text");

// category option			
$category_ids = get_all_category_ids();
foreach( $category_ids as $cat_id ) {
	$options[] = array(	"name" => get_cat_name($cat_id),
				"desc" => "display in main site navigation",
				"id" => $shortname."_Navi_category_".$cat_id,
				"std" => "false",
				"type" => "checkbox");
}

$options[] = array( "name" => "Pages",
					"desc" => "Rename the Pages title in your navigation (optional)",
					"id" => $shortname."_pages_title",
					"std" => "",
					"type" => "text");
// page option
$page_ids = get_all_page_ids();
foreach( $page_ids as $p_id ) {
	$pageOne = get_page($p_id);
	$options[] = array(	"name" => $pageOne->post_title,
				"desc" => "display in main site navigation",
				"id" => $shortname."_Navi_Pages_".$p_id,
				"std" => "false",
				"type" => "checkbox");
}

$options[] = array(	"name" => "Show Contact Info",
					"desc" => "To show your contact information in the menu, check this option. If not, uncheck this option.",
			    	"id" => $shortname."_contact_info",
			    	"std" => "true",
			   		"type" => "checkbox");
			    		
			    		
$options[] = array(	"name" => "Email Address",
				    "id" => $shortname."_email",
					"desc" => "Your email address. Leave blank if you do not want to show your email.",
				    "std" => "you@email.com",
				    "type" => "text");
        
$options[] = array(	"name" => "Phone Number",
				    "id" => $shortname."_phone",
					"desc" => "Your phone number. Leave blank if you do not want to show your phone number.",
				    "std" => "1-800-867-5309",
				    "type" => "text");

$options[] = array(	"name" => "Show additional navigation link?",
					"desc" => "Check this option to replace the Search form in the main navigation with a link of your choosing.  You can provide the title of the link and where it links to below.  If you want both, you will need to add a Search widget to either the Sidebar or Bottombar widgetized areas of your theme.  You can do this by visiting Appearance - Widgets in your Wordpress admin panel.",
		    		"id" => $shortname."_link_addition",
		    		"std" => "",
		    		"type" => "checkbox");

$options[] = array(	"name" => "link title",
				    "id" => $shortname."_link_title",
					"desc" => "  ",
				    "std" => "",
				    "type" => "text");

$options[] = array(	"name" => "link URL",
				    "id" => $shortname."_link_URL",
					"desc" => "  ",
				    "std" => "",
				    "type" => "text");
				    
$options[] = array(	"name" => "Homepage Design",
					"type" => "heading");	

$options[] = array(	"name" => "Enable customizable homepage",
					"desc" => "Check this to use the customized homepage (located in custom-home.php). <strong>You must setup the settings underneath also.</strong>  Remember, less is more.  Choose from the options below carefully and select <strong>only those that you need</strong>.",
					"id" => $shortname."_home",
					"std" => "false",
					"type" => "checkbox");

$options[] = array(	"name" => "Homepage Welcome Message",
					"type" => "heading");	
					
$options[] = array(	"name" => "Enable welcome message",
					"desc" => "Check this to show a welcome message to your site visitors.  If enabled, the welcome message will appear just below your logo and navigation on the front page only.",
					"id" => $shortname."_home_welcome",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array(	"name" => "Welcome message title",
					"desc" => "Enter the title of your welcome message.",
					"id" => $shortname."_home_welcome_title",
					"std" => "Howdy folks!",
					"type" => "text");
					
$options[] = array(	"name" => "Welcome message",
					"desc" => "Enter your welcome message.  Some HTML is okay, including <code>&#60;b&#62;</code>, and <code>&#60;i&#62;</code> tags.",
					"id" => $shortname."_home_welcome_content",
					"std" => "You are seeing this message because you have not configured your <a href=\"wp-admin/themes.php?page=theme-options.php\">theme options</a> yet.  You can add or remove this message, and a variety of other design options for your homepage, by visiting the admin section of your new site and clicking on Appearance - <a href=\"wp-admin/themes.php?page=theme-options.php\">Modularity Options</a>.  You can control virtually every aspect of the homepage design on the <a href=\"wp-admin/themes.php?page=theme-options.php\">Modularity Options</a> page.",
					"type" => "textarea");
					
$options[] = array(	"name" => "Homepage Slideshow",
					"type" => "heading");
					
$options[] = array(	"name" => "Slideshow On/Off",
					"desc" => "Check this to show a welcome message to your site visitors.  If enabled, the welcome message will appear just below your logo and navigation on the front page only.",
					"id" => $shortname."_home_welcome",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Slideshow image 1",
					"desc" => "Upload your first slideshow.  Images should be sized at 950 pixels wide max, jpg only, compressed to 6, in sRGB mode.",
					"id" => $shortname."_slideshow_image_1",
					"std" => "",
					"type" => "upload");

$options[] = array( "name" => "Slideshow image 2",
					"desc" => "Upload your second slideshow.  Images should be sized at 950 pixels wide max, jpg only, compressed to 6, in sRGB mode.",
					"id" => $shortname."_slideshow_image_2",
					"std" => "",
					"type" => "upload");

$options[] = array( "name" => "Slideshow image 3",
					"desc" => "Upload your third slideshow.  Images should be sized at 950 pixels wide max, jpg only, compressed to 6, in sRGB mode.",
					"id" => $shortname."_slideshow_image_3",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Slideshow image 4",
					"desc" => "Upload your fourth slideshow.  Images should be sized at 950 pixels wide max, jpg only, compressed to 6, in sRGB mode.",
					"id" => $shortname."_slideshow_image_4",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Slideshow image 5",
					"desc" => "Upload your fifth slideshow.  Images should be sized at 950 pixels wide max, jpg only, compressed to 6, in sRGB mode.",
					"id" => $shortname."_slideshow_image_5",
					"std" => "",
					"type" => "upload");

$options[] = array(	"name" => "Slideshow height",
					"desc" => "Enter the height, in pixels, that you want your slideshow to be.",
					"id" => $shortname."_slideshow_height",
					"std" => "425",
					"type" => "text");
					
$options[] = array(	"name" => "Slideshow time",
					"desc" => "The length of time the image stays on the page. Numbers in milliseconds. e.g. 1000 = 1 second.",
					"id" => $shortname."_slideshow_time",
					"std" => "3500",
					"type" => "text");
					
$options[] = array(	"name" => "Slideshow speed",
					"desc" => "How fast / slow the slides changes from image to image. Numbers in milliseconds. e.g. 1000 = 1 second.",
					"id" => $shortname."_slideshow_speed",
					"std" => "1000",
					"type" => "text");
					
$options[] = array(	"name" => "Homepage Video",
					"type" => "heading");
					
$options[] = array(	"name" => "Video On/Off",
					"desc" => "Check this to show a full page video on the homepage.",
					"id" => $shortname."_video",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Video file",
					"desc" => "Paste the URL to your FLV video file here after uploading it via the Wordpress Add New Media feature.  For best resolution, please export your videos at a minimum width of 950 pixels wide.",
					"id" => $shortname."_video_file",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Video thumbnail",
					"desc" => "Upload your video thumbnail.  Please upload jpgs only, sized at 950 pixels wide, compressed to 6, in sRGB mode.",
					"id" => $shortname."_video_thumbnail",
					"std" => "",
					"type" => "upload");
					
$options[] = array(	"name" => "Homepage Thumbnail Slider",
					"type" => "heading");
					
$options[] = array(	"name" => "Turn on",
					"desc" => "Check this to show a thumbnail slider on the homepage.",
					"id" => $shortname."_slider",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Slider Category" ,
					"desc" => "",
					"id" => $shortname."_slider_cat",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array(	"name" => "Homepage Post Slider",
					"type" => "heading");
					
$options[] = array(	"name" => "Turn on",
					"desc" => "Check this to show a featured post slider on the homepage.",
					"id" => $shortname."_post_slider",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Post slider Category" ,
					"desc" => "",
					"id" => $shortname."_post_slider_cat",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array(	"name" => "Homepage Featured Posts",
					"type" => "heading");
					
$options[] = array(	"name" => "Turn on",
					"desc" => "Check this to show featured posts on the homepage.",
					"id" => $shortname."_featured",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Feature Posts Category" ,
					"desc" => "",
					"id" => $shortname."_featured_cat",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array(	"name" => "Homepage Category Columns",
					"type" => "heading");
					
$options[] = array(	"name" => "Turn on",
					"desc" => "Check this to show a column of category posts on the homepage.",
					"id" => $shortname."_category_column",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "First Category" ,
					"desc" => "",
					"id" => $shortname."_category_column_1",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array( "name" => "Second Category" ,
					"desc" => "",
					"id" => $shortname."_category_column_2",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array( "name" => "Third Category" ,
					"desc" => "",
					"id" => $shortname."_category_column_3",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array( "name" => "Fourth Category" ,
					"desc" => "",
					"id" => $shortname."_category_column_4",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array( "name" => "Fifth Category" ,
					"desc" => "",
					"id" => $shortname."_category_column_5",
					"std" => "",
					"type" => "select",
					"options" => $categories);
					
$options[] = array(	"name" => "Social Media",
					"type" => "heading");
					
$options[] = array(	"name" => "PhotoShelter",
					"desc" => "Check this if you want to integrate with PhotoShelter.  Read more about this at <a href=\"http://pa.photoshelter.com/mkt/gpp/\">PhotoShelter</a>.",
					"id" => $shortname."_photoshelter",
					"std" => "false",
					"type" => "checkbox");	

$options[] = array(	"name" => "PhotoShelter ID",
					"desc" => "Enter your PhotoShelter ID here.",
					"id" => $shortname."_photoshelter_id",
					"std" => "",
					"type" => "text");		

$options[] = array(	"name" => "Twitter ID",
					"desc" => "Enter your Twitter ID here.",
					"id" => $shortname."_twitter_id",
					"std" => "",
					"type" => "text");			

$options[] = array(	"name" => "Twitter count",
					"desc" => "Enter how many tweets you want to display. Max 10.",
					"id" => $shortname."_twitter_count",
					"std" => "",
					"type" => "text");				

$options[] = array(	"name" => "Archives URl",
					"desc" => "Enter the URl to archive page template e.g. http://mysite.com/archives/. To make an archive page: Add new page with page template 'Archive Page'.",
					"id" => $shortname."_home_archives",
					"std" => "",
					"type" => "text");	

$options[] = array(	"name" => "About You",
					"type" => "heading");	

$options[] = array(	"name" => "About You Snippet",
					"desc" => "Include a little snippet about yourself that is displayed in the header.",
					"id" => $shortname."_about",
					"std" => "",
					"type" => "textarea");	

$options[] = array(	"name" => "About You Read More Link",
					"desc" => "URL of the read more link e.g. http://www.yoursite.com/about",
					"id" => $shortname."_aboutlink",
					"std" => "#",
					"type" => "text");

?>