<?php 

// Custom fields for WP write panel
// This code is protected under Creative Commons License: http://creativecommons.org/licenses/by-nc-nd/3.0/

$gpp_metaboxes = array(
		"embed" => array (
			"name"		=> "embed",
			"default" 	=> "",
			"label" 	=> "Embed Code",
			"type" 		=> "text",
			"desc"      => "Paste the embed code for your video here. Video will be resized automatically. Add <strong>video</strong> as a tag in your post to make your video appear in the sidebar video widget.",
			"input"     => "textarea"
		),
	);
	
function gppthemes_meta_box_content() {
	global $post, $gpp_metaboxes;
	echo '<table>'."\n";
	foreach ($gpp_metaboxes as $gpp_metabox) {
		$gpp_metaboxvalue = get_post_meta($post->ID,$gpp_metabox["name"],true);
		if ($gpp_metaboxvalue == "" || !isset($gpp_metaboxvalue)) {
			$gpp_metaboxvalue = $gpp_metabox['default'];
		}
		echo "\t".'<tr>';
		echo "\t\t".'<th style="text-align: right; width:100px;"><label for="'.$gpp_metabox.'">'.$gpp_metabox['label'].':</label></th>'."\n";
		if ( $gpp_metabox['input'] == "textarea" ) {
		echo "\t\t".'<td><textarea rows="8" cols="90" style="width:100%; font-size:10px; line-height:16px; font-family:verdana,sans-serif;" onclick="this.select()" onfocus="this.select()" type="'.$gpp_metabox['type'].'" name="gppthemes_'.$gpp_metabox["name"].'" id="'.$gpp_metabox.'"/>'.$gpp_metaboxvalue.'</textarea></td>'."\n";
		} else {
		echo "\t\t".'<td><input size="60" type="'.$gpp_metabox['type'].'" value="'.$gpp_metaboxvalue.'" name="gppthemes_'.$gpp_metabox["name"].'" id="'.$gpp_metabox.'"/></td>'."\n";
		}
		echo "\t".'</tr>'."\n";
		echo "\t\t".'<tr><td></td><td><span style="font-size:11px">'.$gpp_metabox['desc'].'</span></td></tr>'."\n";				
	}
	echo '</table>'."\n\n";
}

function gppthemes_metabox_insert($pID) {
	global $gpp_metaboxes;
	foreach ($gpp_metaboxes as $gpp_metabox) {
		$var = "gppthemes_".$gpp_metabox["name"];
		if (isset($_POST[$var])) {			
			if( get_post_meta( $pID, $gpp_metabox["name"] ) == "" )
				add_post_meta($pID, $gpp_metabox["name"], $_POST[$var], true );
			elseif($_POST[$var] != get_post_meta($pID, $gpp_metabox["name"], true))
				update_post_meta($pID, $gpp_metabox["name"], $_POST[$var]);
			elseif($_POST[$var] == "")
				delete_post_meta($pID, $gpp_metabox["name"], get_post_meta($pID, $gpp_metabox["name"], true));
		}
	}
}

function gppthemes_meta_box() {
	if ( function_exists('add_meta_box') ) {
		add_meta_box('gppthemes-settings',$GLOBALS['themename'].' Custom Settings','gppthemes_meta_box_content','post','normal');
		add_meta_box('gppthemes-settings',$GLOBALS['themename'].' Custom Settings','gppthemes_meta_box_content','page','normal');
	}
}

add_action('admin_menu', 'gppthemes_meta_box');
add_action('wp_insert_post', 'gppthemes_metabox_insert');
?>