<?php

// Define Theme Options Variables
$themename="Work-a-holic";
$thumbnailsize = "270 x 150 pixels";
$gppslideshow = "false";
$thumbslider = "false";
$category_columns = "false";

//get thumbnails
function postimages($size=medium) {
	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'order' => 'ASC',
		'post_mime_type' => 'image',)))
	{
		foreach( $images as $image ) {
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			echo $attachmentimage.apply_filters('the_title', $parent->post_title);
		}
	} 
}

//check any attachment 
function checkimage($size=medium) {
	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
	{
		foreach( $images as $image ) {
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			return $attachmentimage;
		}
	} 
}


function load_base_js1( ) {
	
	wp_enqueue_script('gallerys', get_bloginfo('stylesheet_directory').'/js/jquery.gallery.js', array( 'jquery' ) );
}
//if(is_single(!in_category('1'))) {
	add_action( 'init', 'load_base_js1' );
//}

//load hover animation style
function load_dom_js() {
	
	
 	
	$doc_ready_script .= '<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery("div.featureditems").hover(function(){
				jQuery(this).find("img").fadeOut();
			}, function(){
				jQuery(this).find("img").fadeIn();
		});';
 	//if(is_single(!in_category('1'))) {
	$doc_ready_script .= 'jQuery("#gallerys").gallery();
	jQuery("#gallerys").show();';
	//}
	$doc_ready_script .= '});
	</script>';
	echo $doc_ready_script;		
}

add_action('wp_head', load_dom_js);



// Work-a-holic Pro Specific Theme Options



function workaholicpro_options() {
	$shortname = "gpp";
	$options[] = array(	"name" => "Footer Options",
						"type" => "heading");	
	
	$options[] = array(	"name" => "Twitter ID",
						"desc" => "Enter your Twitter ID. If you do not have Twitter account, the content from About is shown. Leave this field blank.",
						"id" => $shortname."_twitter_ID",
						"std" => "",
						"type" => "text");
	
	$options[] = array(	"name" => "About You Snippet",
						"desc" => "Include a little snippet about yourself that is displayed in the header.",
						"id" => $shortname."_about",
						"std" => "Add a little information about yourself here.  It will appear in the footer of your site.",
						"type" => "textarea");	
	
	$options[] = array(	"name" => "About You Read More Link",
						"desc" => "URL of the read more link e.g. http://www.yoursite.com/about",
						"id" => $shortname."_aboutlink",
						"std" => "http://visualsociety.com",
						"type" => "text");
					
	
   	return $options;
}

add_filter('wpro_options', 'workaholicpro_options');



//print_r($alt_stylesheets);

// Work-a-holic Specific

function workaholicpro2_options() {
	// Stylesheets
	$alt_stylesheet_path = STYLESHEETPATH . '/styles/';
	$alt_stylesheets = array();
	
	if ( is_dir($alt_stylesheet_path) ) {
	
	    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
	        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
	            if(stristr($alt_stylesheet_file, ".css") !== false) {
	                $alt_stylesheets[] = $alt_stylesheet_file;
	            }
	        }    
	    }
	}

	$shortname = "gpp"; 
	
	$options[] = array(	"name" => "Work-a-holic Pro Options",
					"type" => "heading");
					
	$options[] = array( "name" => "Alternate Theme",
					"desc" => "Select your themes alternative color scheme.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);	
	
	$options[] = array(	"name" => "Number of Posts to show in Archives",
					"desc" => "Select the number of posts you want to show. Defaults to 12.",
					"id" => $shortname."_posts_per_page",
					"std" => "12",
					"type" => "select",
					"options" => array("6","9","12","15","18","21","24"));		
	
   	return $options;
}

add_filter('wpro2_options', 'workaholicpro2_options');

?>